OpenAPI 3.1

This feature enables users to discover and understand REST APIs exposed by web applications and Liberty components that use the OpenAPI 3.0 specification.

Enabling this feature

To enable the OpenAPI 3.1 feature, add the following element declaration into your server.xml file, inside the featureManager element:

<feature>openapi-3.1</feature>

Supported Java versions

  • JavaSE-1.8

  • JavaSE-11.0

  • JavaSE-14.0

Developing a feature that depends on this feature

If you are developing a feature that depends on this feature, include the following item in the Subsystem-Content header in your feature manifest file.

com.ibm.websphere.appserver.openapi-3.1; type="osgi.subsystem.feature"

SPI packages provided by this feature

  • com.ibm.wsspi.openapi31